$! v = 'f$verify(0)'
$!
$!			HTTP_INDEXDEMO.COM
$!
$!	01-JAN-1995	F.Macrides (macrides@sci.wfeb.edu)
$!			Command procedure for updating the OSU
$!			 DECthreads HTTP server's INDEXDEMO.IDX
$!			 and INDEXDEMO.SEL files.
$!			Assumes that the program BUILD_INDEX.EXE,
$!			 and the files SEQIDX.FDL, SEQSEL.FDL and
$!			 NOISE_WORDS.DAT are in your current default
$!			 directory, and that the subdirectory
$!			 WWW_Root:[Documents] contains your .IDX
$!			 and .SEL files for the INDEXDEMO.HTML
$!			 ISINDEX file.
$!			The .html files must have <title> at the
$!			 beginning of a line (case doesn't matter),
$!			 e.g.:
$!
$!			<HTML>
$!			<HEAD>
$!			<TITLE>Welcome to the sci.wfeb.edu http server</TITLE>
$!			<link rev=made href="mailto:macrides@sci.wfeb.edu">
$!			</HEAD>
$!
$ v = f$verify(1)
$!
$! Create the Sequential files
$!
$ THIS_PATH = F$Element (0, "]", F$Environment ("PROCEDURE")) + "]"
$ index := $'THIS_PATH'build_index.exe
$ index /sequential/whole/noversion -
	/noise=noise_words.dat -
	/nodefault_topic -
        /topic=(text="<TITLE>", exclude)/nodefault -
	/output=indexdemo -
	WWW_Root:[Documents]*.html;0
$!
$! Sort and Convert the SEQIDX to an IDX files
$!
$ sort indexdemo.seqidx indexdemo.seqidx
$ convert/fdl=seqidx indexdemo.seqidx WWW_Root:[Documents]indexdemo.idx
$!
$! Sort and Convert the SEQSEL to an SEL file
$!
$ sort indexdemo.seqsel indexdemo.seqsel
$ convert/fdl=seqsel indexdemo.seqsel WWW_Root:[Documents]indexdemo.sel
$!
$! Clean up
$!
$ purge /nolog/noconfirm  WWW_Root:[Documents]indexdemo.idx
$ rename/nolog/noconfirm  WWW_Root:[Documents]indexdemo.idx ;1
$ delete/nolog/noconfirm  indexdemo.seqidx;*
$ purge /nolog/noconfirm  WWW_Root:[Documents]indexdemo.sel
$ rename/nolog/noconfirm  WWW_Root:[Documents]indexdemo.sel ;1
$ delete/nolog/noconfirm  indexdemo.seqsel;*
$ v = 'f$verify(0)'
$ WRITE SYS$OUTPUT ""
$ exit
